//**************************************************************
//******** SERIAL COMMUNICATION UART ROUTINES - header file *******
//**************************************************************
//Controller		: ATmega32 (Clock: 16 Mhz)
//Compiler			: AtmelStudio 7
//Project Version	: 2.0
//Author			: CC Dharmani, Pune (India)
//					  www.dharmanitech.com
//Date				: Jun 2018
//**************************************************************

#ifndef _UART_ROUTINES_H_
#define _UART_ROUTINES_H_
#include <stdio.h>

#define UART_BAUDRATE 38400
#define UBRR_VALUE (((F_CPU / (UART_BAUDRATE * 16UL))) - 1)

void uartInit(void);
int transmitByte(char, FILE*);
int receiveByte(FILE*);


#endif
